Subject: Re: [PATCH] git-push: add option --repo-all

From: Jakub Narebski <[email-masked]>
Date: Fri, 18 Sep 2009 13:02:45 +0200

Kirill A. Korinskiy wrote:
> At Fri, 18 Sep 2009 01:52:49 -0700 (PDT),
> Jakub Narebski <[email-masked]> wrote:
> > "Kirill A. Korinskiy" <[email-masked]> writes:

> > > ---
> > >  Documentation/git-push.txt |    4 ++-
> > >  builtin-push.c             |   34 +++++++++++++++++++++-----------
> > >  t/t5523-push-repo-all.sh   |   46 ++++++++++++++++++++++++++++++++++++++++++++
> > >  3 files changed, 71 insertions(+), 13 deletions(-)
> > >  create mode 100755 t/t5523-push-repo-all.sh
> > 
> > I have created 'pushall' *alias* for that purpose, but I think that
> > such functionality would be better added to "git remote" rather than
> > to "git push".
> 
> not sure, because git remote make interface for managment remotes
> repos and push make interface for pushing to remote repo. I just add a
> pushing to all repos.
> 
> I thought about pushing to some remotes repos, yes, but could not come
> up with a good symantics.

Well, git-remote has "git remote update" subcommand for fetching from
a group of remote repositories, so it is not only about managing remotes.
I think "git remote push" (or something like that) would fit in 
git-remote area of competence.

Besides git-remote understands groups of remote repositories for fetch
(update), which would be (I think) a good idea also for push.

-- 
Jakub Narebski
Poland